Fetch IdP metadata XML
POST
/api/v1/auth-providers/fetch-metadata
const url = 'https://osctrl.net/api/v1/auth-providers/fetch-metadata';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://osctrl.net/api/v1/auth-providers/fetch-metadata \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{}'Fetches the SAML IdP metadata document from the given URL and returns the XML.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”{ \
Media typeapplication/json
object
Examplegenerated
{}Responses
Section titled “Responses”{ "xml": "<EntityDescriptor …>" }
Media typeapplication/json
object
Examplegenerated
{}Bad request
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Fetch failed
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}